Ubuntu

nvidia-settings crashes when user clicks Save To X Configuration File

Reported by JasonPorter on 2008-10-20
This bug affects 254 people
Affects Status Importance Assigned to Milestone
nvidia-settings (Ubuntu)
Medium
Alberto Milone
Nominated for Karmic by basharat
Nominated for Lucid by kit
Intrepid
Undecided
Unassigned

Bug Description

Binary package hint: nvidia-settings

***PLEASE***
Do not comment on this bug unless you are actively working on it, and/or unless you've read *all* comments and have determined that your information is genuinely new and useful.

In order for a developer to take the time to actually fix this bug, we all need to take care to keep the bug report comments focused and solution-oriented. Click "Does this bug affect you?" if you merely want to add to the record that you are affected by this problem.

Workarounds are known (comment #80, comment #64).
***Thank you***

Clicking "Save To X Configuration File" causes immediate crash of nvidia-settings, after running sudo nvidia-settings to set up dual monitors using TwinView.

Not sure if this is due to permissions related to the new X config scheme (i.e. no longer using xorg.conf for display config)? I am also confused as to why the repo driver is 177.80, but the repo nvidia-settings is 177.78?

Error msg: nvidia settings crashed with SIGSEGV in g_cclosure_marshal_VOID__VOID()

System: Ubuntu Intrepid Beta 8.10, Intel P4 3.0 (hyperthreaded). 2.6.27-7 kernel. Standard closed-source Nvidia 177 driver from Intrepid repos, on GeForce 9500GT, installed using Hardware Drivers panel (jockey).

Installed Nvidia packages are:
  177.78-0ubuntu2 ( nvidia-settings )
  177.80-0ubuntu2 ( nvidia-glx-177 )
  177.80-0ubuntu2 ( nvidia-177-kernel-source )
  177.80-0ubuntu2 ( nvidia-177-modaliases )

ProblemType: Crash
Architecture: i386
DistroRelease: Ubuntu 8.10
ExecutablePath: /usr/bin/nvidia-settings
NonfreeKernelModules: nvidia
Package: nvidia-settings 177.78-0ubuntu2
ProcAttrCurrent: unconfined
ProcCmdline: nvidia-settings
ProcEnviron:
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/X11R6/bin
 LANG=en_US.UTF-8
 SHELL=/bin/bash
Signal: 11
SourcePackage: nvidia-settings
StacktraceTop:
 ?? ()
 ?? ()
 ?? ()
 g_cclosure_marshal_VOID__VOID ()
 g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
Title: nvidia-settings crashed with SIGSEGV in g_cclosure_marshal_VOID__VOID()
Uname: Linux 2.6.27-7-generic i686
UserGroups:

JasonPorter (jasonporter) wrote :

StacktraceTop:?? ()
?? ()
?? ()
IA__g_cclosure_marshal_VOID__VOID (closure=0x960fa38, return_value=0x0, n_param_values=1,
IA__g_closure_invoke (closure=0x960fa38, return_value=0x0, n_param_values=1,

JasonPorter (jasonporter) wrote :

After setting TwinView and applying successfully, reboot results in return to single screen mode.

Running sudo nvidia settings from console returns:

 ERROR: Invalid display device CRT-1 specified on line 21 of configuration file
       '/home/user/.nvidia-settings-rc' (the currently enabled display
       devices are DFP-0 on Computer:0.0).

 ERROR: The attribute 'XVideoSyncToDisplay' specified on line 53 of
       configuration file '/home/user/.nvidia-settings-rc' cannot be
       assigned the value of CRT-1 (the currently enabled display devices are
       DFP-0 on Computer:0.0).

Nvidia-settings then launches successfully and TwinView can be set again, but Save to X Configuration File still results in crash. Apply and Close work successfully but settings do not persist over a reboot.

Alberto Milone (albertomilone) wrote :

can you attach your xorg.conf?

JasonPorter (jasonporter) wrote :

Xorg.conf attached:

Alberto Milone (albertomilone) wrote :

Jason: type:
mv $HOME/.nvidia-settings-rc /home/user/nvidia-settings-rc

(note: the latter lacks the dot ".")

then open nvidia-settings and see if you can reproduce the problem.

JasonPorter (jasonporter) wrote :

I renamed .nvidia-settings-rc to make it visible, per your suggestion. The app no longer errors on first run but the crash behavior when Save to X Configuration File is still present. TwinView display settings do not persist over a reboot.

Eric Julien (eric-julien) wrote :

If it can help, I too have the crashing problem on save to X configuration file and have built nvidia-settings in debug mode and the stack trace I obtain is the following:

My system is Ubuntu-8.10 beta AMD64 with updates applied as of Wed 22 Oct 2008.
nvidia-settings's version is 177.78

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7f599ad46770 (LWP 4666)]
0x000000000047a018 in xconfigMergeLayout (dstConfig=0x1aad950, srcConfig=0x111c0e0) at src/XF86Config-parser/Merge.c:653
653 xconfigFreeAdjacencyList(dstLayout->adjacencies);
(gdb) bt
#0 0x000000000047a018 in xconfigMergeLayout (dstConfig=0x1aad950, srcConfig=0x111c0e0) at src/XF86Config-parser/Merge.c:653
#1 0x000000000047a27f in xconfigMergeConfigs (dstConfig=0x1aad950, srcConfig=0x111c0e0) at src/XF86Config-parser/Merge.c:753
#2 0x000000000045c904 in update_xconfig_save_buffer (ctk_object=0x11e6190) at src/gtk+-2.x/ctkdisplayconfig.c:6644
#3 0x000000000045e257 in save_clicked (widget=0x123ddb0, user_data=0x11e6190) at src/gtk+-2.x/ctkdisplayconfig.c:7733
#4 0x00007f599879425d in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#5 0x00007f59987a9f5d in ?? () from /usr/lib/libgobject-2.0.so.0
#6 0x00007f59987ab608 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#7 0x00007f59987abb33 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#8 0x00007f599a60018d in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#9 0x00007f599879425d in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#10 0x00007f59987a9878 in ?? () from /usr/lib/libgobject-2.0.so.0
#11 0x00007f59987ab608 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#12 0x00007f59987abb33 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#13 0x00007f599a5ff3dd in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#14 0x00007f599a6a4908 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#15 0x00007f599879425d in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#16 0x00007f59987a9c3b in ?? () from /usr/lib/libgobject-2.0.so.0
#17 0x00007f59987ab48a in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#18 0x00007f59987abb33 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#19 0x00007f599a7a774e in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#20 0x00007f599a69d273 in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
#21 0x00007f599a69e393 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#22 0x00007f599a32106c in ?? () from /usr/lib/libgdk-x11-2.0.so.0
#23 0x00007f59982f7d3b in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#24 0x00007f59982fb50d in ?? () from /usr/lib/libglib-2.0.so.0
#25 0x00007f59982fba3d in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#26 0x00007f599a69e7a7 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#27 0x0000000000415fed in ctk_main (screen_handles=0xe99140, num_screen_handles=1, gpu_handles=0xe99120, num_gpu_handles=1, vcs_handles=0x0, num_vcs_handles=0, p=0xe8a430, conf=0x7fffa2d76070,
    pCtrlHandles=0xe94320) at src/gtk+-2.x/ctkui.c:80
#28 0x000000000040d2b3 in main (argc=1, argv=0x7fffa2d76198) at src/nvidia-settings.c:196

Eric Julien (eric-julien) wrote :

The problem is caused by the absence of a ServerLayout section in Xorg.conf. (nvidia-settings assumes there is one such section).

If there is nothing really customized about your xorg.conf, one possible workaround would be to delete it after you log into X and then execute nvidia-settings. Nvidia-settings will then create a new xorg.conf instead of trying to (unsuccessfully) merge with your current xorg.conf. You will have to specify /etc/X11/xorg.conf after you press Save to X Configuration File. nvidia-setting also need to be run as root.

sudo rm /etc/X11/xorg.conf
sudo nvidia-settings

Frank Bob (frankbob) wrote :

This bug is still present. It's pretty severe since nvidia-settings is the only GUI way I know of to setup TV out using a Nvidia card.

Pconfig (thomas9999) wrote :

I just had exactly the same problem

running nvidia-xconfig first does the job. But indeed, this bug needs fixing as alot of people will suffer from this one.

mooglinux (mooglinux) wrote :

running sudo nvidia-xconfig and then sudo nvidia-settigns does the trick.

definatly a high-priority bug

mooglinux (mooglinux) wrote :

confirmed by multiple people, needs fixing before final release, because this will affect anyone using nvidia drivers who try to change any settings with nvidia-settings

Changed in nvidia-settings:
status: New → Confirmed
mooglinux (mooglinux) wrote :

last comment: part of this bug could be avoided simply by requiring root access to run nvidia-settings. currently you can run it without root access, which can confuse users. you still have to run it from terminal with sudo for itt o work properly, even if the icon is right there and it launches without complaint? thats bound to confuse some poor soul.

Vitaly (vbabiy86) wrote :

Thanks Mooglinux that fixed.

Pconfig (thomas9999) wrote :

Couldn't this be fixed by automaticly running nvidia-xconfig when installing the restricted drivers? Mooglinux is right about the nvidia-settings need to be ran in root. You can't save xorg.conf otherwise, new people probably wouldn't understand why.

JasonPorter (jasonporter) wrote :

Per Eric Julien's suggestion (thanks Eric!) I added the ServerLayout section to xorg.conf and it seemed to fix my problem. Running nvidia-settings as root was still necessary.

It seems that having an (empty) ServerLayout section in xorg.conf by default, and requiring nvidia-settings to run as root, would fix the vast majority of the problems.

I find it interesting that nvidia is still using xorg.conf for configuration, while ATI has already moved to the new style and has ceased to use it for config settings.

winkler (winkler-torsten) wrote :

I just installed Ubuntu 8.10 RC and had the same problem described above. After completely removing xorg.conf and running nvidia-settings as root, I was finally able to save a new xorg.conf.

However, there is a new problem: I wanted to setup my notebook to use an external monitor as a separate X screen. After restarting the X-Server with the freshly created new xorg.conf, I get an error, and Ubuntu can only start in "low graphics mode". This is indeed very annoying, as the second monitor always used to work fine with previous versions of Ubuntu... I would appreciate it if this could be fixed...

Bryan Quigley (bryanquigley) wrote :

All these bugs have the same root cause (missing section in xorg.conf for nvidia driver)

Possible Workarounds:
remove your xorg.conf file and let nvidia-settings recreate it
-or-
run nvidia-xconfig before running nvidia-settings

(If they both don't fix the issue then I made a mistake marking these as duplicates and apologize)

Tyson Williams (bender2k14) wrote :

FYI, I just stared a thread on the forum that discusses the same issues.

http://ubuntuforums.org/showthread.php?p=6070203#post6070203

Mike (bild85) wrote :

Lets not get distracted with the permissions bug (200868). This bug is for the application crash, which seems to be caused by the missing "ServerLayout" section. Would it be worth addressing the fact that the application crashes without being caught by Apport?

Máté Őry (orymate) wrote :

Bryan, you are wrong.

I've made a default install from 8.10 desktop cd. I have a dual head system. I've not modified the default xorg.conf. I installed nvidia driver with jockey.

If I
  1. run "sudo nvidia-xconfig; rm .nvidia-settings-rc; sudo nvidia-settings",
  2. click on X Server Display Configuration,
  3. click on Save to X Configuration File,
I get a segfault.

By the way nvidia xconfig does not do anything in my case.

--- /etc/X11/xorg.conf_xconfig.20081101015131 2008-11-01 01:51:31.000000000 +0100
+++ /etc/X11/xorg.conf 2008-11-01 01:57:18.000000000 +0100
@@ -35,7 +35,7 @@

 Section "Device"
  Identifier "Configured Video Device"
- Driver "nvidia"
  Option "NoLogo" "True"
+ Driver "nvidia"
 EndSection

Alberto Milone (albertomilone) wrote :

A temporary fix is available in the attached debdiff. I will contact upstream so that a final solution can be found.

In the meantime my patch will fix the bug.

Changed in nvidia-settings:
assignee: nobody → albertomilone
status: Confirmed → In Progress
Alberto Milone (albertomilone) wrote :

SRU: patch for Intrepid is attached in comment 24

Nominating for SRU, fulfills: (1) have an obviously safe patch and (2) affect an application rather than critical infrastructure packages.

While getting help for my resolution problem, I was sent a working xorg.conf
file that takes care of this bug. Apparently, there's something wrong in
the xorg.conf file in the upgrade to Intrepid. I have posted it to the
Pastebin at: http://pastebin.ubuntu.com/65942/ You should be able to save
your X settings in nvidia-settings now without the program crashing.

On Sat, Nov 1, 2008 at 10:21 AM, Alberto Milone <email address hidden>wrote:

> SRU: patch for Intrepid is attached in comment 24
>
> Nominating for SRU, fulfills: (1) have an obviously safe patch and (2)
> affect an application rather than critical infrastructure packages.
>
> --
> nvidia-settings crashes when user clicks Save To X Configuration File
> https://bugs.launchpad.net/bugs/286424
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Alberto Milone (albertomilone) wrote :

Joshua:
as described in comment 22, nvidia-settings crashes if there is no "ServerLayout" section in the xorg.conf. There's nothing wrong in the xorg.conf as the lack of that section perfectly legal (otherwise the xserver won't start).

In my workaround I simply make sure that an empty "ServerLayout" section is created (if it doesn't exist) so that it can be populated with certain details (e.g. "Screen 0" RightOf "Screen 1", etc.).

I have contacted upstream (i.e. NVIDIA) about this problem.

Fabian A. Scherschel (fabsh) wrote :

Same problem here. Eric's workaround works for me, though.

It's great that we contacted upstream but is there nothing else we can do about this? Intrepid effectively ships with a broken config tool for NVIDIA cards because of this and I doubt many unsophisticated users will be able to find this thread...

Alberto Milone (albertomilone) wrote :

Fabian: when my fix is uploaded (in the next few days, I hope) the problem will disappear. I'm not really sure about what else I could do.

Fabian A. Scherschel (fabsh) wrote :

Shiny! Thanks for your work on this, Alberto! :)

Martin Pitt (pitti) wrote :

I cleaned up Alberto's debdiff (debian/rules already included dpatch.make, thus the custom unpatch/patch rules aren't necessary; also, there was no reversion in the source code for a previously applied patch, and the source is fine as it is). I uploaded the attached debdiff.

Martin Pitt (pitti) wrote :

Accepted into intrepid-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in nvidia-settings:
status: New → Fix Committed
Chris Lee (chris-lee-gertner) wrote :

The fix in intrepid-proposed worked for me.

alecwh (alecwh) wrote :

I am suffering from this same problem. Using 8.10 Final. The workaround fixed everything - but it took me forever to find this bug report. This needs to be updated in the repos soon.

Thanks to the developers, I panicked there for a sec...

alecwh (alecwh) wrote :

That last comment was worded weird. It sounded like I was blaming the developers for my panicking... I meant to say,

Many thanks to the developers! I panicked for a second there, but I'm glad everything is working now.

Christopher Denter (dennda) wrote :

With the latest nvidia-settings package update from proposed (as of today on my mirror, your results may vary) the dialogue no longer crashes when you try to save your configuration to the configuration file (xorg.conf). Thanks.

Martin Pitt (pitti) wrote :

intrepid-proposed package copied to jaunty.

Changed in nvidia-settings:
status: In Progress → Fix Released
Eric Amundson (sewmyheadon) wrote :

I just freshly installed Intrepid on my desktop and had the same error, even after updating to the latest kernel and packages.

I followed the instructions from Eric Julien ( https://bugs.launchpad.net/ubuntu/intrepid/+source/nvidia-settings/+bug/286424/comments/10 ) and it works now.

Troy Coons (coonstr) wrote :

I fixed the problem by first getting the nvidia settings setup perfectly the way I want it. I then deleted the xorg.conf and wrote the settings to the file from within Nvidia setup. Then I renamed the xorg.conf and ran this command as root:

dexconf

This command creates a new xorg.conf and I pasted what it made into my backed up file and renamed it to be my new xorg.conf and everything is fixed.

Martin Pitt (pitti) wrote :

Copied to intrepid-updates.

Changed in nvidia-settings:
status: Fix Committed → Fix Released
Arthur Peters (amp) on 2009-03-13
Changed in nvidia-settings:
status: Fix Released → New
Bryce Harrington (bryce) on 2009-04-07
tags: added: crash
Bryce Harrington (bryce) on 2009-09-02
tags: added: intrepid
Changed in nvidia-settings (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
kartik2vv (kartik2vv) on 2009-10-10
Changed in nvidia-settings (Ubuntu Intrepid):
status: Fix Released → Fix Committed
status: Fix Committed → Fix Released
38 comments hidden view all 118 comments
Wei-Yee Chan (chanweiyee) wrote :

I second what Daniel has just said.

oranges (oranges10e) wrote :

Greetings, just wanted to let you guys know, I solved this problem by doing:

a) sudo nvidia-xconfig <- it should detect the missing "default display/screen" entry and create a new file for you to write in.

then do...

b) sudo nvidia-settings and do the usual thing to save your settings.

That's all I did - it worked.

Oranges

spixx (blandia) wrote :

>VALIDATION ERROR: Data incomplete in file /etc/X11/xorg.conf.
>Undefined Device "(null)" referenced by Screen "Default Screen".
>
>Segmentation (memory, print created)

this on a 9.10 RC when trying to run nvidia-settings with sudo. Tried the usual way first, is there anyone that know anything about this?

ledzeppelin (led-zeppelin8787) wrote :

there's a workaround in this thread,wouldnt call it a 100% bug,but was a bit annoying tbh to change resolution @ every xserver restart...

--- On Thu, 10/22/09, spixx <email address hidden> wrote:

From: spixx <email address hidden>
Subject: [Bug 286424] Re: nvidia-settings crashes when user clicks Save To X Configuration File
To: <email address hidden>
Date: Thursday, October 22, 2009, 11:46 AM

>VALIDATION ERROR:  Data incomplete in file /etc/X11/xorg.conf.
>Undefined Device "(null)" referenced by Screen "Default Screen".
>
>Segmentation (memory, print created)

this on a 9.10 RC when trying to run nvidia-settings with sudo. Tried
the usual way first, is there anyone that know anything about this?

--
nvidia-settings crashes when user clicks Save To X Configuration File
https://bugs.launchpad.net/bugs/286424
You received this bug notification because you are a direct subscriber
of the bug.

kylea (kylea) wrote :

How old is this bug?

Uhm...

Now it is clear the xorg.conf is missing just one line can this be retagged
hundredpapercuts whatever so at least one developer fixes it for the final
Karmic release? Could adding that single line cause a regression?

2009/10/22 kylea <email address hidden>

> How old is this bug?
>
> Uhm...
>
> --
> nvidia-settings crashes when user clicks Save To X Configuration File
> https://bugs.launchpad.net/bugs/286424
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “nvidia-settings” package in Ubuntu: Confirmed
> Status in nvidia-settings in Ubuntu Intrepid: Fix Released
>
> Bug description:
> Binary package hint: nvidia-settings
>
> Clicking "Save To X Configuration File" causes immediate crash of
> nvidia-settings, after running sudo nvidia-settings to set up dual monitors
> using TwinView.
>
> Not sure if this is due to permissions related to the new X config scheme
> (i.e. no longer using xorg.conf for display config)? I am also confused as
> to why the repo driver is 177.80, but the repo nvidia-settings is 177.78?
>
>
> Error msg: nvidia settings crashed with SIGSEGV in
> g_cclosure_marshal_VOID__VOID()
>
> System: Ubuntu Intrepid Beta 8.10, Intel P4 3.0 (hyperthreaded). 2.6.27-7
> kernel. Standard closed-source Nvidia 177 driver from Intrepid repos, on
> GeForce 9500GT, installed using Hardware Drivers panel (jockey).
>
> Installed Nvidia packages are:
> 177.78-0ubuntu2 ( nvidia-settings )
> 177.80-0ubuntu2 ( nvidia-glx-177 )
> 177.80-0ubuntu2 ( nvidia-177-kernel-source )
> 177.80-0ubuntu2 ( nvidia-177-modaliases )
>
> ProblemType: Crash
> Architecture: i386
> DistroRelease: Ubuntu 8.10
> ExecutablePath: /usr/bin/nvidia-settings
> NonfreeKernelModules: nvidia
> Package: nvidia-settings 177.78-0ubuntu2
> ProcAttrCurrent: unconfined
> ProcCmdline: nvidia-settings
> ProcEnviron:
>
> PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/X11R6/bin
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> Signal: 11
> SourcePackage: nvidia-settings
> StacktraceTop:
> ?? ()
> ?? ()
> ?? ()
> g_cclosure_marshal_VOID__VOID ()
> g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
> Title: nvidia-settings crashed with SIGSEGV in
> g_cclosure_marshal_VOID__VOID()
> Uname: Linux 2.6.27-7-generic i686
> UserGroups:
>

kit (kitrule) wrote :

Sorry if this comes up as a double post, but...

Now it is clear the xorg.conf is missing just one line can this be retagged hundredpapercuts whatever so at least one developer fixes it for the final Karmic release? Could adding that single line cause a regression for anything else?

JeffH (jeffh0821) wrote :

Karmic release day (10/29) and regression is still present. I hope there are not too many new users using NVIDIA cards - this bug is a deal breaker.

Fabian A. Scherschel (fabsh) wrote :

Am I the only one that thinks this bug still being present is really embarrassing? Come on, people... It can't be that hard to fix.

I've noticed this doesn't happens when you upgrade form 9.04 to 9.10 but
if you install 9.10 from scratch you will see the error

Fabian A. Scherschel wrote:
> Am I the only one that thinks this bug still being present is really
> embarrassing? Come on, people... It can't be that hard to fix.
>

Daniel Holbert (dholbert) wrote :

> I've noticed this doesn't happens when you upgrade form 9.04 to
> 9.10 but if you install 9.10 from scratch you will see the error

That's expected -- the problem here is that Ubuntu's **default** xorg.conf file file is missing a line.

If you're upgrading from 9.04 to 9.10, Ubuntu probably keeps your existing xorg.conf, and if that file is already fine, you won't see this bug.

kylea (kylea) wrote :

Fabian A. Scherschel wrote:
> Am I the only one that thinks this bug still being present is really
> embarrassing? Come on, people... It can't be that hard to fix.
>

Yes - its shocking - come on Mark Shuttleworth - this is totally taking too long to fix - it is embarrassing when I talk about how cool Ubuntu is and this has been hanging around for-ever.

And please, don't some one say "well why don't u fix it."

Why would you have to *save X configuration file* as long as the newer
nvidia drivers sets out the resolution automatically? Even when two monitors
are plugged

Daniel Holbert (dholbert) wrote :

> Why would you have to *save X configuration file* as long as
> the newer nvidia drivers sets out the resolution automatically?

Because nvidia-settings lets you customize much more than just resolution -- e.g. if you have multiple monitors, nvidia-settings lets you pick which monitor is on which side (so that dragging your cursor off the right side of one will put it on the left side of the other, etc).

> Am I the only one that thinks this bug still being present is really
> embarrassing? Come on, people... It can't be that hard to fix.

Though I agree with your sentiment, let's try to keep comments like this (and "me too" comments) to a minimum -- this bug is getting to be unreadably long, which makes it all the harder for Ubuntu developers to see what's broken and what's been discovered.

The cause of this bug has been essentially known since comment #64. There should be no reason to post here unless you have new information, or unless you're actively working on fixing the bug.

Got it working replacing /etc/X11/xorg.conf (just in case make a copy of
your current xorg.conf) with current attached personal xorg.conf
hopefully this helps

On Thu, 2009-10-29 at 22:57 +0000, Daniel Holbert wrote:
> > Why would you have to *save X configuration file* as long as
> > the newer nvidia drivers sets out the resolution automatically?
>
> Because nvidia-settings lets you customize much more than just
> resolution -- e.g. if you have multiple monitors, nvidia-settings lets
> you pick which monitor is on which side (so that dragging your cursor
> off the right side of one will put it on the left side of the other,
> etc).
>
> > Am I the only one that thinks this bug still being present is really
> > embarrassing? Come on, people... It can't be that hard to fix.
>
> Though I agree with your sentiment, let's try to keep comments like this
> (and "me too" comments) to a minimum -- this bug is getting to be
> unreadably long, which makes it all the harder for Ubuntu developers to
> see what's broken and what's been discovered.
>
> The cause of this bug has been essentially known since comment #64.
> There should be no reason to post here unless you have new information,
> or unless you're actively working on fixing the bug.
>

moreno_lomi (lomi-moreno) wrote :

#286424

cornbread (corn13read) wrote :

Oranges method worked fine for me!
"sudo nvidia-xconfig && sudo nvidia-settings"

On Thu, Oct 29, 2009 at 11:57 PM, Daniel Holbert <
<email address hidden> <dholbert%<email address hidden>>> wrote:

> > Why would you have to *save X configuration file* as long as
> > the newer nvidia drivers sets out the resolution automatically?
>
> Because nvidia-settings lets you customize much more than just
> resolution -- e.g. if you have multiple monitors, nvidia-settings lets
> you pick which monitor is on which side (so that dragging your cursor
> off the right side of one will put it on the left side of the other,
> etc).
>
> Did you try to customize your monitors without save to X and see what
happens after reboot?

Fabian A. Scherschel (fabsh) wrote :

> Did you try to customize your monitors without save to X and see what
> happens after reboot?

The settings are not saved. Saving to xorg.conf is essential to save your multi-monitor configuration with an Nvidia card as far as I have been able to determine. Hence my comment that this bug should be fixed, especially since the fix has been known since before Jaunty shipped...

Pako (elektrobank01) wrote :

Hmm, strange because it never happened for me so far, since 8.04 beta

sudo nvidia-settings > customize > save to X configuration > quit > and
everything seems fine

Rich Birch (ringo-albumsnaps) wrote :

Oranges method worked fine for me too:

"sudo nvidia-xconfig && sudo nvidia-settings"

Mastermolch (molchx) wrote :

I needed to save an older xorg.conf in the X11 directory. With the Ubuntu standard xorg.conf nvidia-settings wasnt able to save the settings to the xorg.conf. I am using Karmic Koala 32bit now, with NVIDA driver version 185.

daemacles (daemacles) wrote :

This bug is still present. I used the original fix from over a year ago (nvidia-xconfig then nvidia-settings). Why so hard to add a prompt to run nvidia-xconfig to the .deb package when it's installed if there's not a valid xorg.conf on the system? Hours of frustration here.

just changed display (crt 15'-->lcd 22').had to change screen res every logon....pain in the ***.found a fix :" -desktop:~$ sudo nvidia-settings" ,change to desired res and save.till perma fix comes imo easyest way to bypass.its a permission bug i guess.....

--- On Sun, 11/15/09, daemacles <email address hidden> wrote:

From: daemacles <email address hidden>
Subject: [Bug 286424] Re: nvidia-settings crashes when user clicks Save To X Configuration File
To: <email address hidden>
Date: Sunday, November 15, 2009, 2:06 PM

This bug is still present.  I used the original fix from over a year ago
(nvidia-xconfig then nvidia-settings).  Why so hard to add a prompt to
run nvidia-xconfig to the .deb package when it's installed if there's
not a valid xorg.conf on the system?  Hours of frustration here.

--
nvidia-settings crashes when user clicks Save To X Configuration File
https://bugs.launchpad.net/bugs/286424
You received this bug notification because you are a direct subscriber
of the bug.

Changed in nvidia-settings (Ubuntu Intrepid):
status: Fix Released → Fix Committed

this is a permission bug imo.xorg.conf is ok.the nvidia driver&ubuntu dont seem to like eachother. "-desktop:~$ sudo nvidia-settings" lets you bypass bug.if i can help in any way please let me know.

Changed in nvidia-settings (Ubuntu Intrepid):
status: Fix Committed → Confirmed
1 comments hidden view all 118 comments

in my xorg.conf i had to add Device "Default Device" save then sudo
nvidia-settings and them im able to save to x configuration. that's my work
around.

On Mon, Nov 16, 2009 at 4:56 PM, ledzeppelin <email address hidden>wrote:

> this is a permission bug imo.xorg.conf is ok.the nvidia driver&ubuntu
> dont seem to like eachother. "-desktop:~$ sudo nvidia-settings" lets you
> bypass bug.if i can help in any way please let me know.
>
> ** Changed in: nvidia-settings (Ubuntu Intrepid)
> Status: Fix Committed => Confirmed
>
> --
> nvidia-settings crashes when user clicks Save To X Configuration File
> https://bugs.launchpad.net/bugs/286424
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Daniel Holbert (dholbert) wrote :

As I noted in comment #92:
***PLEASE*** do not comment on this bug unless you are actively working on it, and/or unless you've read *all* comments and have determined that your information is genuinely new and useful. This bug receives way too much "Me too" spam, and all the comments here just makes it harder for developers to read & find useful information.

Workarounds are known (comment #80, comment #64). No further comments are needed here. We just need a developer to fix this.

"-desktop:~$ sudo nvidia-settings" didn't help.
I did an clean os install too ubuntu 9.10 and the problem was solved.
At this moment everything works fine.
Thank you.

-----Oorspronkelijk bericht-----
Van: <email address hidden> [mailto:<email address hidden>] Namens ledzeppelin
Verzonden: maandag 16 november 2009 22:57
Aan: <email address hidden>
Onderwerp: [Bug 286424] Re: nvidia-settings crashes when user clicks Save To X Configuration File

this is a permission bug imo.xorg.conf is ok.the nvidia driver&ubuntu
dont seem to like eachother. "-desktop:~$ sudo nvidia-settings" lets you
bypass bug.if i can help in any way please let me know.

** Changed in: nvidia-settings (Ubuntu Intrepid)
       Status: Fix Committed => Confirmed

--
nvidia-settings crashes when user clicks Save To X Configuration File
https://bugs.launchpad.net/bugs/286424
You received this bug notification because you are a direct subscriber
of the bug.

Status in “nvidia-settings” package in Ubuntu: Confirmed
Status in “nvidia-settings” source package in Intrepid: Confirmed

Bug description:
Binary package hint: nvidia-settings

Clicking "Save To X Configuration File" causes immediate crash of nvidia-settings, after running sudo nvidia-settings to set up dual monitors using TwinView.

Not sure if this is due to permissions related to the new X config scheme (i.e. no longer using xorg.conf for display config)? I am also confused as to why the repo driver is 177.80, but the repo nvidia-settings is 177.78?

Error msg: nvidia settings crashed with SIGSEGV in g_cclosure_marshal_VOID__VOID()

System: Ubuntu Intrepid Beta 8.10, Intel P4 3.0 (hyperthreaded). 2.6.27-7 kernel. Standard closed-source Nvidia 177 driver from Intrepid repos, on GeForce 9500GT, installed using Hardware Drivers panel (jockey).

Installed Nvidia packages are:
  177.78-0ubuntu2 ( nvidia-settings )
  177.80-0ubuntu2 ( nvidia-glx-177 )
  177.80-0ubuntu2 ( nvidia-177-kernel-source )
  177.80-0ubuntu2 ( nvidia-177-modaliases )

ProblemType: Crash
Architecture: i386
DistroRelease: Ubuntu 8.10
ExecutablePath: /usr/bin/nvidia-settings
NonfreeKernelModules: nvidia
Package: nvidia-settings 177.78-0ubuntu2
ProcAttrCurrent: unconfined
ProcCmdline: nvidia-settings
ProcEnviron:
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/X11R6/bin
 LANG=en_US.UTF-8
 SHELL=/bin/bash
Signal: 11
SourcePackage: nvidia-settings
StacktraceTop:
 ?? ()
 ?? ()
 ?? ()
 g_cclosure_marshal_VOID__VOID ()
 g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
Title: nvidia-settings crashed with SIGSEGV in g_cclosure_marshal_VOID__VOID()
Uname: Linux 2.6.27-7-generic i686
UserGroups:

Fabian A. Scherschel (fabsh) wrote :

I've been following this bug for quite a while and it is pretty clear that this is *NOT* a permissions problem. I've always run nvidia-settings with gksudo / sudo and the problem was always there. So please don't mark as fixed because of permissions.

I have not tested this with the latest Karmic update but the program did crash when run with root privileges on a then-uptodate Karmic as late as last week.

era (era) on 2009-11-17
description: updated
jraborg (jraborg) wrote :

Review post 80
"oranges wrote on 2009-10-22: #80
Greetings, just wanted to let you guys know, I solved this problem by doing:

a) sudo nvidia-xconfig <- it should detect the missing "default display/screen" entry and create a new file for you to write in.

then do...

b) sudo nvidia-settings and do the usual thing to save your settings.

That's all I did - it worked.

Oranges"

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of Fabian A. Scherschel
Sent: Tuesday, November 17, 2009 3:45 AM
To: <email address hidden>
Subject: [Bug 286424] Re: nvidia-settings crashes when user clicks Save To X Configuration File

I've been following this bug for quite a while and it is pretty clear
that this is *NOT* a permissions problem. I've always run nvidia-
settings with gksudo / sudo and the problem was always there. So please
don't mark as fixed because of permissions.

I have not tested this with the latest Karmic update but the program did
crash when run with root privileges on a then-uptodate Karmic as late as
last week.

--
nvidia-settings crashes when user clicks Save To X Configuration File
https://bugs.launchpad.net/bugs/286424
You received this bug notification because you are a direct subscriber
of the bug.

Status in “nvidia-settings” package in Ubuntu: Confirmed
Status in “nvidia-settings” source package in Intrepid: Confirmed

Bug description:
Binary package hint: nvidia-settings

Clicking "Save To X Configuration File" causes immediate crash of nvidia-settings, after running sudo nvidia-settings to set up dual monitors using TwinView.

Not sure if this is due to permissions related to the new X config scheme (i.e. no longer using xorg.conf for display config)? I am also confused as to why the repo driver is 177.80, but the repo nvidia-settings is 177.78?

Error msg: nvidia settings crashed with SIGSEGV in g_cclosure_marshal_VOID__VOID()

System: Ubuntu Intrepid Beta 8.10, Intel P4 3.0 (hyperthreaded). 2.6.27-7 kernel. Standard closed-source Nvidia 177 driver from Intrepid repos, on GeForce 9500GT, installed using Hardware Drivers panel (jockey).

Installed Nvidia packages are:
  177.78-0ubuntu2 ( nvidia-settings )
  177.80-0ubuntu2 ( nvidia-glx-177 )
  177.80-0ubuntu2 ( nvidia-177-kernel-source )
  177.80-0ubuntu2 ( nvidia-177-modaliases )

ProblemType: Crash
Architecture: i386
DistroRelease: Ubuntu 8.10
ExecutablePath: /usr/bin/nvidia-settings
NonfreeKernelModules: nvidia
Package: nvidia-settings 177.78-0ubuntu2
ProcAttrCurrent: unconfined
ProcCmdline: nvidia-settings
ProcEnviron:
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/X11R6/bin
 LANG=en_US.UTF-8
 SHELL=/bin/bash
Signal: 11
SourcePackage: nvidia-settings
StacktraceTop:
 ?? ()
 ?? ()
 ?? ()
 g_cclosure_marshal_VOID__VOID ()
 g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
Title: nvidia-settings crashed with SIGSEGV in g_cclosure_marshal_VOID__VOID()
Uname: Linux 2.6.27-7-generic i686
UserGroups:

Download full text (5.9 KiB)

That worked for me too! Thanks Oranges!

On Tue, Nov 17, 2009 at 9:27 AM, jraborg <email address hidden> wrote:

> Review post 80
> "oranges wrote on 2009-10-22: #80
> Greetings, just wanted to let you guys know, I solved this problem by
> doing:
>
> a) sudo nvidia-xconfig <- it should detect the missing "default
> display/screen" entry and create a new file for you to write in.
>
> then do...
>
> b) sudo nvidia-settings and do the usual thing to save your settings.
>
> That's all I did - it worked.
>
> Oranges"
>
> -----Original Message-----
> From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
> Fabian A. Scherschel
> Sent: Tuesday, November 17, 2009 3:45 AM
> To: <email address hidden>
> Subject: [Bug 286424] Re: nvidia-settings crashes when user clicks Save To
> X Configuration File
>
> I've been following this bug for quite a while and it is pretty clear
> that this is *NOT* a permissions problem. I've always run nvidia-
> settings with gksudo / sudo and the problem was always there. So please
> don't mark as fixed because of permissions.
>
> I have not tested this with the latest Karmic update but the program did
> crash when run with root privileges on a then-uptodate Karmic as late as
> last week.
>
> --
> nvidia-settings crashes when user clicks Save To X Configuration File
> https://bugs.launchpad.net/bugs/286424
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “nvidia-settings” package in Ubuntu: Confirmed
> Status in “nvidia-settings” source package in Intrepid: Confirmed
>
> Bug description:
> Binary package hint: nvidia-settings
>
> Clicking "Save To X Configuration File" causes immediate crash of
> nvidia-settings, after running sudo nvidia-settings to set up dual
> monitors using TwinView.
>
> Not sure if this is due to permissions related to the new X config
> scheme (i.e. no longer using xorg.conf for display config)? I am also
> confused as to why the repo driver is 177.80, but the repo nvidia-
> settings is 177.78?
>
>
> Error msg: nvidia settings crashed with SIGSEGV in
> g_cclosure_marshal_VOID__VOID()
>
> System: Ubuntu Intrepid Beta 8.10, Intel P4 3.0 (hyperthreaded).
> 2.6.27-7 kernel. Standard closed-source Nvidia 177 driver from Intrepid
> repos, on GeForce 9500GT, installed using Hardware Drivers panel
> (jockey).
>
> Installed Nvidia packages are:
> 177.78-0ubuntu2 ( nvidia-settings )
> 177.80-0ubuntu2 ( nvidia-glx-177 )
> 177.80-0ubuntu2 ( nvidia-177-kernel-source )
> 177.80-0ubuntu2 ( nvidia-177-modaliases )
>
> ProblemType: Crash
> Architecture: i386
> DistroRelease: Ubuntu 8.10
> ExecutablePath: /usr/bin/nvidia-settings
> NonfreeKernelModules: nvidia
> Package: nvidia-settings 177.78-0ubuntu2
> ProcAttrCurrent: unconfined
> ProcCmdline: nvidia-settings
> ProcEnviron:
>
> PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/X11R6/bin
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> Signal: 11
> SourcePackage: nvidia-settings
> StacktraceTop:
> ?? ()
> ?? ()
> ?? ()
> g_cclosure_marshal_VOID__VOID ()
> g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
> Title: nvidia-settings crashed with SIGSEGV in
> g_cclosure_ma...

Read more...

Download full text (3.1 KiB)

just the "sudo nvidia-settings",without the desktop....worked fine for me

--- On Mon, 11/16/09, willemvanaalten <email address hidden> wrote:

From: willemvanaalten <email address hidden>
Subject: RE: [Bug 286424] Re: nvidia-settings crashes when user clicks Save To X Configuration File
To: <email address hidden>
Date: Monday, November 16, 2009, 11:41 PM

"-desktop:~$ sudo nvidia-settings" didn't help.
I did an clean os install too ubuntu 9.10 and the problem was solved.
At this moment everything works fine.
Thank you.

-----Oorspronkelijk bericht-----
Van: <email address hidden> [mailto:<email address hidden>] Namens ledzeppelin
Verzonden: maandag 16 november 2009 22:57
Aan: <email address hidden>
Onderwerp: [Bug 286424] Re: nvidia-settings crashes when user clicks Save To X Configuration File

this is a permission bug imo.xorg.conf is ok.the nvidia driver&ubuntu
dont seem to like eachother. "-desktop:~$ sudo nvidia-settings" lets you
bypass bug.if i can help in any way please let me know.

** Changed in: nvidia-settings (Ubuntu Intrepid)
       Status: Fix Committed => Confirmed

--
nvidia-settings crashes when user clicks Save To X Configuration File
https://bugs.launchpad.net/bugs/286424
You received this bug notification because you are a direct subscriber
of the bug.

Status in “nvidia-settings” package in Ubuntu: Confirmed
Status in “nvidia-settings” source package in Intrepid: Confirmed

Bug description:
Binary package hint: nvidia-settings

Clicking "Save To X Configuration File" causes immediate crash of
nvidia-settings, after running sudo nvidia-settings to set up dual
monitors using TwinView.

Not sure if this is due to permissions related to the new X config
scheme (i.e. no longer using xorg.conf for display config)?  I am also
confused as to why the repo driver is 177.80, but the repo nvidia-
settings is 177.78?

Error msg:  nvidia settings crashed with SIGSEGV in g_cclosure_marshal_VOID__VOID()

System:  Ubuntu Intrepid Beta 8.10, Intel P4 3.0 (hyperthreaded).
2.6.27-7 kernel.  Standard closed-source Nvidia 177 driver from Intrepid
repos, on GeForce 9500GT, installed using Hardware Drivers panel
(jockey).

Installed Nvidia packages are:
  177.78-0ubuntu2  ( nvidia-settings )
  177.80-0ubuntu2  ( nvidia-glx-177 )
  177.80-0ubuntu2  ( nvidia-177-kernel-source )
  177.80-0ubuntu2  ( nvidia-177-modaliases )

ProblemType: Crash
Architecture: i386
DistroRelease: Ubuntu 8.10
ExecutablePath: /usr/bin/nvidia-settings
NonfreeKernelModules: nvidia
Package: nvidia-settings 177.78-0ubuntu2
ProcAttrCurrent: unconfined
ProcCmdline: nvidia-settings
ProcEnviron:
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/X11R6/bin
 LANG=en_US.UTF-8
 SHELL=/bin/bash
Signal: 11
SourcePackage: nvidia-settings
StacktraceTop:
 ?? ()
 ?? ()
 ?? ()
 g_cclosure_marshal_VOID__VOID ()
 g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
Title: nvidia-settings crashed with SIGSEGV in g_cclosure_marshal_VOID__VOID()
Uname: Linux 2.6.27-7-generic i686
UserGroups:

--
nvidia-settings crashes when user clicks Save To X Configuration File
https://bugs.launchpad.net/bugs/286424
You received this bug notification because you are a direct subscriber
of the...

Read more...

Cris (cristiano.p) wrote :

I've freshly installed Karmic from scratch and this bug is still present:

> $ sudo nvidia-settings
>
> VALIDATION ERROR: Data incomplete in file /etc/X11/xorg.conf.
> Undefined Device "(null)" referenced by Screen "Default Screen".
>
> Segmentation fault

> [ 194.169860] nvidia-settings[2130]: segfault at 1c ip 080b68dd sp bf875fa0 error 4 in nvidia-settings[8048000+9b000]
> [ 210.593909] nvidia-settings[2144]: segfault at 1c ip 080b68dd sp bfef6d80 error 4 in nvidia-settings[8048000+9b000]

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

It would be possible to apply the workaround in the package's postinst
script.. would that be accepted if I created a patch to do just that?

Cris wrote:
> I've freshly installed Karmic from scratch and this bug is still
> present:
>
>> $ sudo nvidia-settings
>>
>> VALIDATION ERROR: Data incomplete in file /etc/X11/xorg.conf.
>> Undefined Device "(null)" referenced by Screen "Default Screen".
>>
>> Segmentation fault
>
>> [ 194.169860] nvidia-settings[2130]: segfault at 1c ip 080b68dd sp bf875fa0 error 4 in nvidia-settings[8048000+9b000]
>> [ 210.593909] nvidia-settings[2144]: segfault at 1c ip 080b68dd sp bfef6d80 error 4 in nvidia-settings[8048000+9b000]
>

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAksrZk4ACgkQ81bUwCB/xdgDqgCbBgiN/v5QUmpyAKF+20W3IAuU
eZIAoNH6kxvKZveh1qgDNJI2EnrHyNU9
=wLAD
-----END PGP SIGNATURE-----

Eddie Washburn (ewashburn) wrote :

For a Single Head System, you are all right that the xorg.conf file can and will work correctly if created running in Sudo or gksudo this is true for the 180. 185. and the new 190. if you are using Ubuntu 64-Bit 9.04 and 9.10 versions.

But this only works for a single-head systems. Once you try to configure a dual-head card or trying to activate two screens it will not save your changes at all. Can someone please try running Ubuntu 9.10 latest version, use a Ge-force 9500gt card and try to configure up 2 screens one for crt and the other s-video for TV out and you will see what I mean. You cant even configure a Twinview. The Geforce 9500gt card has 2 DVI and 1 S-video tv-out.
How do you configure a dual head system. I cant even get a clone to work, where one screen clones the other.

Daniel Holbert (dholbert) wrote :

@Eddie:
It sounds like you've got a completely different issue from the problem described in this bug (crashes on clicking 'save' in nvidia-settings). This bug already has over 100 comments (and is still unfixed) -- if it turns into a grab bag of miscellaneous nvidia-settings complaints, it will become even more impossible for developers to read than it already is.

Please file a separate bug, or a thread on ubuntuforums.org, for your issue.

Intrepid Ibex reached end-of-life on 30 April 2010 so I am closing the
report. The bug is still marked as confirmed in later versions of Ubuntu.

Changed in nvidia-settings (Ubuntu Intrepid):
status: Confirmed → Invalid
Changed in nvidia-settings (Ubuntu):
status: Confirmed → Fix Released
status: Fix Released → Confirmed
madbiologist (me-again) on 2011-05-21
tags: added: karmic
madbiologist (me-again) wrote :

Is this still occurring in Ubuntu 10.04 "Lucid Lynx"? What about in Ubuntu 10.10 "Maverick Meerkat"? What about in Ubuntu 11.04 "Natty Narwhal"?

Changed in nvidia-settings (Ubuntu):
status: Confirmed → Incomplete
Bryan Quigley (bryanquigley) wrote :

I think this is likely fixed. No comments to the negative for > 1 year.

Changed in nvidia-settings (Ubuntu):
status: Incomplete → Fix Released
Displaying first 40 and last 40 comments. View all 118 comments or add a comment.